﻿using CarmentaWpfClient.Models;
using CarmentaWpfClient.Utils;

using System.Collections.ObjectModel;
using System.Linq;

namespace CarmentaWpfClient.ViewModels
{
    public class LayerControlViewModel
    {
        private readonly MapProvider _mapProvider;

        public LayerControlViewModel(MapProvider mapProvider)
        {
            _mapProvider = mapProvider;

            Layers = new(_mapProvider.Maps.First().Layers);
        }

        public ObservableCollection<LayerModel> Layers { get; private set; } = new();
    }
}
