﻿using CarmentaDemoWPF.ViewModels;

using System.Windows;
using System.Windows.Controls;

namespace CarmentaWpfClient.Views
{
    /// <summary>
    /// Interaction logic for MapView.xaml
    /// </summary>
    public partial class MapView : UserControl
    {
        public MapView()
        {
            InitializeComponent();
        }

        private void OnDataContextChanged(object sender, DependencyPropertyChangedEventArgs e)
        {
            if (e.NewValue is MapViewModel mapViewModel)
            {
                MapControl.View = mapViewModel.CurrentMap.View;
                MapControl.Tool = mapViewModel.Tool;
            }
        }
    }
}
